• Which the release of FS2020 we see an explosition of activity on the forun and of course we are very happy to see this. But having all questions about FS2020 in one forum becomes a bit messy. So therefore we would like to ask you all to use the following guidelines when posting your questions:

    • Tag FS2020 specific questions with the MSFS2020 tag.
    • Questions about making 3D assets can be posted in the 3D asset design forum. Either post them in the subforum of the modelling tool you use or in the general forum if they are general.
    • Questions about aircraft design can be posted in the Aircraft design forum
    • Questions about airport design can be posted in the FS2020 airport design forum. Once airport development tools have been updated for FS2020 you can post tool speciifc questions in the subforums of those tools as well of course.
    • Questions about terrain design can be posted in the FS2020 terrain design forum.
    • Questions about SimConnect can be posted in the SimConnect forum.

    Any other question that is not specific to an aspect of development or tool can be posted in the General chat forum.

    By following these guidelines we make sure that the forums remain easy to read for everybody and also that the right people can find your post to answer it.

MSFS `bufferView` nor `uri` compiler error

Messages
428
Country
senegal
Hello,
I've been trying to compile ModelLib library since yesterday and I've been getting this same error. I'm using the latest Asobo exporter with Blender 3.1

Failed to load model data: 'Neither required `bufferView` nor `uri` defined for image[0] name = "Devinci_Tower_EMISSIVE.png"
'

Does anyone know what this error is about? I make all my textures in Substance Painter using the export template for MSFS
 

=rk=

Resource contributor
Messages
3,672
Country
us-washington
I'd swap in a texture that is known to work, even if it is not properly mapped, just to see if it clears the error. I am suspecting doing so will not, on the basis that if you are doing everything the same, it is entirely possible this incredibly stable software has itself, made an error. If swapping in a known texture clears the error, then you know you have to detail your procedure a little more carefully.
 
Messages
428
Country
senegal
I'd swap in a texture that is known to work, even if it is not properly mapped, just to see if it clears the error. I am suspecting doing so will not, on the basis that if you are doing everything the same, it is entirely possible this incredibly stable software has itself, made an error. If swapping in a known texture clears the error, then you know you have to detail your procedure a little more carefully.

I tried that but it's still showing the same error in the console when I try to build the package. The model itself loads fine in MCX with its textures.

However, when I export then build with a default standard material without any textures everything is fine.

I also tried exporting other objects with different textures but it still says the same error. It's almost as if the MSFS compiler doesn't like my textures anymore. They're all 4k but that shouldn't be an issue I believe.
 

=rk=

Resource contributor
Messages
3,672
Country
us-washington
I am guessing it is going to be something obscure, like deleting your old PackagesMetadata folder, or something. I saw somewhere else that doing so cleared a compiler hang, might try it.
 
Messages
428
Country
senegal
I am guessing it is going to be something obscure, like deleting your old PackagesMetadata folder, or something. I saw somewhere else that doing so cleared a compiler hang, might try it.
I'll try that. So far I moved on to modeling another building and seeing how things will go there. I only started having issues after deciding to add LODs. Before that my single object textures were fine.
 

Pyscen

Resource contributor
Messages
2,813
Country
us-texas
Try updating to the latest Blender version ( at least v3.20). There were changes to the exporter addon because of v3.20. The exporter is not backwards compatible to previous versions of Blender.
 
Messages
428
Country
senegal
Try updating to the latest Blender version ( at least v3.20). There were changes to the exporter addon because of v3.20. The exporter is not backwards compatible to previous versions of Blender.
Okay, I'll try that. I didn't know it was compatible with 3.2. As of now none of my objects that have textures can be built to give me modelib bgl.
 
Messages
428
Country
senegal
It seems to work fine with 3.2. However, when I include lights the compiler fails.
 
Top